%if 0%{?el7}
%define dist .el7
%endif

Name:           perl-Net-Google-SafeBrowsing3
Version:        0.8
Release:        1%{?dist}
Summary:        Perl extension for the Google Safe Browsing v3 API.

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/~jsobrier
Source0:        http://search.cpan.org/CPAN/authors/id/J/JS/JSOBRIER/Net-Google-SafeBrowsing3-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
#BuildRequires:	perl(Text::Trim)
BuildRequires:  perl-Text-Trim
#BuildRequires:	perl(MIME::Base64::URLSafe)
BuildRequires:  perl-MIME-Base64-URLSafe
#BuildRequires:	perl(String::HexConvert)
BuildRequires:  perl-String-HexConvert
BuildRequires:	perl(Test::More)
BuildRequires:	perl(LWP::UserAgent)
#BuildRequires:  perl(Google::ProtocolBuffers)
BuildRequires:  perl-Google-ProtocolBuffers
BuildRequires:  perl-Class-Accessor
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(Math::BigInt)

BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(IO::Socket::SSL)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%{?perl_default_filter}

%description
Net::Google::SafeBrowsing3 implements the Google Safe Browsing v3 API.

The library passes most of the unit tests listed in the API documentation. See the documentation (https://developers.google.com/safe-browsing/developers_guide_v3) for more details about the failed tests.

The Google Safe Browsing database must be stored and managed locally. Net::Google::SafeBrowsing3::Sqlite uses Sqlite as the storage back-end, Net::Google::SafeBrowsing3::MySQL uses MySQL. Other storage mechanisms (databases, memory, etc.) can be added and used transparently with this module.

The source code is available on github at https://github.com/juliensobrier/Net-Google-SafeBrowsing3.

If you do not need to inspect more than 10,000 URLs a day, you can use Net::Google::SafeBrowsing2::Lookup with the Google Safe Browsing v2 Lookup API which does not require to store and maintain a local database.

IMPORTANT: If you start with an empty database, you will need to perform several updates to retrieve all the Google Safe Browsing information. This may require up to 24 hours. This is a limitation of the Google API, not of this module.

IMPORTANT: Google Safe Browsing v3 requires a different key than v2.

%package DBI
Summary:	Perl extension for the Google Safe Browsing v2 API. DBI.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	perl(DBI)

%description DBI
%{summary}.

%package MySQL
Summary:	Perl extension for the Google Safe Browsing v2 API. MySQL.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	perl-DBD-MySQL

%description MySQL
%{summary}.

%package Sqlite
Summary:	Perl extension for the Google Safe Browsing v2 API. Sqlite.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	perl-DBD-SQLite

%description Sqlite
%{summary}.

%prep
%setup -q -n Net-Google-SafeBrowsing3-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Net/Google/SafeBrowsing3.pm
%{perl_vendorlib}/Net/Google/SafeBrowsing3/Lookup.pm
%{perl_vendorlib}/Net/Google/SafeBrowsing3/Storage.pm
%dir %{perl_vendorlib}/Net/Google
%{_mandir}/man3/*SafeBrowsing3.3*
%{_mandir}/man3/*Lookup.3*
%{_mandir}/man3/*Storage.3*

%files DBI
%{perl_vendorlib}/Net/Google/SafeBrowsing3/DBI.pm
%{_mandir}/man3/*DBI.3*

%files MySQL
%{perl_vendorlib}/Net/Google/SafeBrowsing3/MySQL.pm
%{_mandir}/man3/*MySQL.3*

%files Sqlite
%{perl_vendorlib}/Net/Google/SafeBrowsing3/Sqlite.pm
%{_mandir}/man3/*Sqlite.3*

%changelog
* Sun Jul 15 2018 momo-i <webmaster@momo-i.org> - 0.8-1
- Update to 0.8

* Sat Mar 11 2017 momo-i <webmaster@momo-i.org> - 0.7-1
- Update to 0.7

* Thu Mar 17 2016 momo-i <webmaster@momo-i.org> - 0.6-1
- Update to 0.6

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.5-3
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.5-2
- Rebuilt for fc23

* Fri Jul 24 2015 momo-i <webmaster@momo-i.org> - 0.5-1
- Update to 0.5

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 0.4-1
- Initial rpm release.
